# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate clap

Name:           rust-%{crate}
Version:        2.32.0
Release:        3%{?dist}
Summary:        Simple to use, efficient, and full featured  Command Line Argument Parser

License:        MIT
URL:            https://crates.io/crates/clap
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * clippy is nightly
Patch0:         clap-2.32.0-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(ansi_term) >= 0.11.0 with crate(ansi_term) < 0.12.0)
BuildRequires:  (crate(atty) >= 0.2.2 with crate(atty) < 0.3.0)
BuildRequires:  (crate(bitflags) >= 1.0.0 with crate(bitflags) < 2.0.0)
BuildRequires:  (crate(strsim) >= 0.7.0 with crate(strsim) < 0.8.0)
BuildRequires:  (crate(term_size) >= 0.3.0 with crate(term_size) < 0.4.0)
BuildRequires:  (crate(textwrap) >= 0.10.0 with crate(textwrap) < 0.11.0)
BuildRequires:  (crate(unicode-width) >= 0.1.4 with crate(unicode-width) < 0.2.0)
BuildRequires:  (crate(vec_map) >= 0.8.0 with crate(vec_map) < 0.9.0)
BuildRequires:  (crate(yaml-rust) >= 0.3.5 with crate(yaml-rust) < 0.4.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(lazy_static) >= 1.0.0 with crate(lazy_static) < 2.0.0)
BuildRequires:  (crate(regex) >= 1.0.0 with crate(regex) < 2.0.0)
BuildRequires:  (crate(version-sync) >= 0.5.0 with crate(version-sync) < 0.6.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
A simple to use, efficient, and full featured  Command Line Argument Parser.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-MIT
%doc README.md CHANGELOG.md CONTRIBUTORS.md SPONSORS.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/{index.html,justfile}

%changelog
* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.32.0-3
- Rebuild to trigger tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.32.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.32.0-1
- Update to 2.32.0

* Thu Jun 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.31.2-3
- Bump regex to 1

* Wed May 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.31.2-2
- Bump textwrap to 0.10

* Mon Mar 26 2018 Josh Stone <jistone@redhat.com> - 2.31.2-1
- Update to 2.31.2

* Thu Feb 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.30.0-1
- Update to 2.30.0

* Wed Feb 07 2018 Josh Stone <jistone@redhat.com> - 2.29.4-1
- Update to 2.29.4

* Tue Feb 06 2018 Josh Stone <jistone@redhat.com> - 2.29.3-1
- Update to 2.29.3

* Fri Jan 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.29.2-2
- Bump strsim to 0.7

* Wed Jan 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.29.2-1
- Update to 2.29.2

* Wed Jan 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.29.1-1
- Update to 2.29.1

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.29.0-2
- Rebuild for rust-packaging v5

* Sat Dec 09 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.29.0-1
- Update to 2.29.0

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.28.0-2
- Bump lazy_static to 1

* Tue Nov 28 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.28.0-1
- Update to 2.28.0

* Thu Nov 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.27.1-3
- Use proper file extension for bash completions

* Mon Nov 20 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.27.1-2
- Bump version-sync to 0.5

* Thu Nov 09 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.27.1-1
- Update to 2.27.1

* Wed Jul 05 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.25.0-1
- Update to 2.25.0

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproejct.org> - 2.24.2-1
- Update to 2.24.2

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.22.1-2
- Port to use rust-packaging

* Thu Mar 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.22.1-1
- Update to 2.22.1

* Wed Mar 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.21.1-1
- Update to 2.21.1

* Tue Feb 28 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.20.5-2
- Rebuild (vec_map)

* Sat Feb 25 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.20.5-1
- Initial package
